<?php

/**
 * Smart, easy and simple Image Manipulation
 * 
 * @author Alessandro Coscia, Milano, Italy, php_staff@yahoo.it
 * http://www.codicefacile.it/smartimage
 * @copyright LGPL
 *
 */
include "SmartImage.class.php";

// Settings
$src = "images/car.jpg";
$waterMark = "images/smartimage.gif";
$destination = "newimages/";

// Start!
$img = new SmartImage($src);
// Resize and save to file
$img->resize(400, 220, true);
$img->saveImage($destination."new01.jpg");

// Put a Water Mark and save to file
$img->addWaterMarkImage($waterMark);
$img->saveImage($destination."new02.jpg");

// save the image with 76% resolution in Jpeg
$img->saveImage($destination."new03.jpg", 76);

// output image
$img->printImage();

//convert and save it in gif and png and close the file
$img->saveImage($destination."new04.gif");
$img->saveImage($destination."new05.png");
$img->close();

?>